# Generated by Django 4.2.20 on 2025-05-06 21:21

from django.db import migrations


def add_ud_to_existing_apps(apps, schema_editor):
    CorpMembershipApp = apps.get_model('corporate_memberships', 'CorpMembershipApp')
    CorpMembershipAppField = apps.get_model('corporate_memberships', 'CorpMembershipAppField')
    field_names = ['ud9', 'ud10', 'ud11', 'ud12', 'ud13', 'ud14', 'ud15', 'ud16', 'ud17', 'ud18']
    corp_apps = CorpMembershipApp.objects.all()
    position = 50
    for corp_app in corp_apps:
        for field_name in field_names:
            if not CorpMembershipAppField.objects.filter(corp_app=corp_app, field_name=field_name).exists():
                app_field = CorpMembershipAppField(
                             corp_app=corp_app,
                             label=field_name,
                             field_name=field_name,
                             position=position,
                             display=False,)
                app_field.save()
                position += 1


class Migration(migrations.Migration):

    dependencies = [
        ('corporate_memberships', '0032_corpprofile_ud10_corpprofile_ud11_corpprofile_ud12_and_more'),
    ]

    operations = [
        migrations.RunPython(add_ud_to_existing_apps),
    ]
